{% extends "users/userspace.html" %}

{% block content %}
    <div class="container my-5">
    <h1>Dashboard</h1>
    <p>
        Bienvenue sur le tableau de bord de l'administration de l'AMAP.<br>
        Il permet d'effectuer les actions les plus courantes. Pour des actions plus spécifiques, veuillez consulter la section Administration.
    </p>

    {{ DASHBOARD|safe }}

    <section>
        <section class="my-3">
        <h2>Adhérents</h2>
        <hr>
        <div class="container text-center">
            <div class="row">
                <div class="col mb-2">
                    <div class="card" style="">
                        <div class="card-body">
                            <h5 class="card-title">Liste des adhésions</h5>
                            <h1><i class="fas fa-hand-holding-usd mt-4"></i></h1><br>
                            <a href="{% url 'subscriptions_list_admin' %}" class="btn btn-primary">Accéder</a>
                        </div>
                    </div>
                </div>
                <div class="col mb-2">
                    <div class="card" style="">
                        <div class="card-body">
                            <h5 class="card-title">Liste des contrats</h5>
                            <h1><i class="fas fa-file-signature mt-4"></i></h1><br>
                            <a href="{% url 'search_contrats' %}" class="btn btn-primary">Accéder</a>
                        </div>
                    </div>
                </div>
                <div class="col mb-2">
                    <div class="card" style="">
                        <div class="card-body">
                            <h5 class="card-title">Liste de diffusion</h5>
                            <h1><i class="fas fa-envelope mt-4"></i></h1><br>
                            <a href="{% url 'mailing_list_view' %}" class="btn btn-primary">Accéder</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </section>

        <section class="my-3">
        <h2>Distributions</h2>
        <hr>
        <div class="container text-center">
            <div class="row">
                <div class="col mb-2">
                    <div class="card" style="">
                        <div class="card-body">
                            <h5 class="card-title">Liste des livraisons</h5>
                            <h1><i class="fas fa-truck mt-4"></i></h1><br>
                            <a href="{% url 'deliveries_list_admin' %}" class="btn btn-primary">Accéder</a>
                        </div>
                    </div>
                </div>
                <div class="col mb-2">
                    <div class="card" style="">
                        <div class="card-body">
                            <h5 class="card-title">Inscrire des produits</h5>
                            <h1><i class="fas fa-carrot mt-4"></i></h1><br>
                            <a href="{% url 'products_registrations' %}" class="btn btn-primary">Accéder</a>
                        </div>
                    </div>
                </div>
                <div class="col mb-2">
                    <div class="card" style="">
                        <div class="card-body">
                            <h5 class="card-title">Ajout rapide de distributions</h5>
                            <h1><i class="fas fa-clock mt-4"></i></h1><br>
                            <a href="{% url 'register_multiple_distributions' %}" class="btn btn-primary">Accéder</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </section>

        <section class="my-3">
            <div class="container">
                <div class="row">
                    <div class="col text-left">
                        <h2>Paysans</h2>
                        <hr>
                        <div class="card text-center" style="">
                            <div class="card-body">
                                <h5 class="card-title">Liste des fermes</h5>
                                <h1><i class="fas fa-tractor mt-4"></i></h1><br>
                                <a href="{% url 'farms_list_admin' %}" class="btn btn-primary">Accéder</a>
                            </div>
                        </div>
                    </div>
                    <div class="col">
                        <h2 class="">Utilisateurs</h2>
                        <hr>
                        <div class="card text-center" style="">
                            <div class="card-body">
                                <h5 class="card-title">Liste des utilisateurs</h5>
                                <h1><i class="fas fa-users mt-4"></i></h1><br>
                                <a href="{% url 'users_list_admin' %}" class="btn btn-primary">Accéder</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section class="my-3">
        <h2>Comptabilité</h2>
        <hr>
        <div class="container text-center">
            <div class="row">
                <div class="col mb-2">
                    <div class="card" style="">
                        <div class="card-body">
                            <h5 class="card-title">Liste des paiements</h5>
                            <h1><i class="fas fa-wallet mt-4"></i></h1><br>
                            <a href="{% url 'payments_list_admin' %}" class="btn btn-primary">Accéder</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </section>

        <section class="my-3">
        <h2>Avancé</h2>
        <hr>
        <div class="container text-center">
            <div class="row">
                <div class="col mb-2">
                    <div class="card" style="">
                        <div class="card-body">
                            <h5 class="card-title">Fragments de pages</h5>
                            <h1><i class="fas fa-file-alt mt-4"></i></h1><br>
                            <a href="{% url 'fragments_list' %}" class="btn btn-primary">Accéder</a>
                        </div>
                    </div>
                </div>
                {% if request.user.is_superuser %}
                <div class="col mb-2">
                    <div class="card" style="">
                        <div class="card-body">
                            <h5 class="card-title">Paramètres</h5>
                            <h1><i class="fas fa-cogs mt-4"></i></h1><br>
                            <a href="{% url 'settings_view' %}" class="btn btn-primary">Accéder</a>
                        </div>
                    </div>
                </div>
                <div class="col mb-2">
                    <div class="card" style="">
                        <div class="card-body">
                            <h5 class="card-title">Scripting</h5>
                            <h1><i class="fas fa-code mt-4"></i></h1><br>
                            <a href="{% url 'scripting_view' %}" class="btn btn-primary">Accéder</a>
                        </div>
                    </div>
                </div>
                {% endif %}
            </div>
        </div>
        </section>

    </section>
    </div>
{% endblock %}
